CVE-2014-8115

Current Description

The default authorization constrains in KIE Workbench 6.0.x allows remote authenticated users to read or write to arbitrary files, bypass intended access restrictions, and possibly have other unspecified impact via unknown vectors.

Basic Data

PublishedFebruary 20, 2015
Last ModifiedMarch 23, 2015
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-264
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:S/C:P/I:P/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationSINGLE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score6.5
SeverityMEDIUM
Exploitability Score8.0
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationRedhatKie Workbench6.0.0*******
    2.3ApplicationRedhatKie Workbench6.0.1*******

Vulnerable Software List

VendorProductVersions
Redhat Kie Workbench 6.0.0, 6.0.1

References

NameSourceURLTags
RHSA-2015:0234http://rhn.redhat.com/errata/RHSA-2015-0234.htmlREDHATVendor Advisory
RHSA-2015:0235http://rhn.redhat.com/errata/RHSA-2015-0235.htmlREDHATVendor Advisory
https://github.com/droolsjbpm/kie-wb-distributions/commit/90eed433d3https://github.com/droolsjbpm/kie-wb-distributions/commit/90eed433d3CONFIRM